List Markets
Returns Gamma-compatible markets from the synced catalog
Query Parameters
Maximum number of rows to return.
1 <= value <= 10020Offset for pagination.
0 <= value0Filter by active status.
Filter by closed status.
Filter by archived status.
Filter by tag slug. Alias of tag_slug.
Filter by numeric tag id.
Filter by tag slug.
Filter markets by numeric event id.
Filter markets by event slug. Alias: eventSlug.
Filter markets by condition id. Alias: condition_id.
Filter by Polymarket origin. true returns only mirror markets; false returns only markets without a Polymarket mirror.
Filter markets by market slug.
Sort column for the response.
Set to true for ascending order.
falseOptional creator filter. Use a creator wallet address or a site identifier to scope results to markets available on that site.
Response Body
application/json
application/json
curl -X GET "https://example.com/markets"[ { "id": "540900", "question": "Will the public beta launch before July 31?", "conditionId": "0x9c1a953fe92c8357f1b646ba25d983aa83e90c525992db14fb726fa895cb5763", "mirrorConditionId": "0x6f2785e2b184bc654c2925b97d606f4b3b8d0d9d8a7c812ea43689a7d5a0b621", "slug": "public-beta-before-july-31", "resolutionSource": "", "endDate": "2026-07-31T12:00:00Z", "startDate": "2025-05-02T15:48:00.174Z", "image": "https://cdn.domain.com/markets/product-launch.jpg", "icon": "https://cdn.domain.com/markets/product-launch.jpg", "description": "This market resolves to \"Yes\" if the company makes its public beta generally available before July 31, 2026, according to its official release page.", "outcomes": "[\"Yes\", \"No\"]", "clobTokenIds": "[\"8501497159083948713316135768103773293754490207922884688769443031624417212426\", \"2527312495175492857904889758552137141356236738032676480522356889996545113869\"]", "mirrorClobTokenIds": "[\"73501925031906527019333480630149051764054215203433004184557289228116041007011\", \"34109248701156002295603169775253921334309011282830349017777218896811220437750\"]", "active": true, "closed": false, "archived": false, "createdAt": "2025-05-02T15:03:10.397014Z", "updatedAt": "2026-04-14T20:50:23.030512Z", "questionID": "0x74dcd73f29877722e217723e10f2e8f9a888976f7cfc796234b75a3d3214d1c8", "events": [ { "id": "24001", "ticker": "technology-forecasts-2026", "slug": "technology-forecasts-2026", "title": "Technology Forecasts 2026" } ] }]{ "type": "bad request", "error": "q is required"}